summaryrefslogtreecommitdiff
path: root/kvm-arndale-host
diff options
context:
space:
mode:
authorRiku Voipio <riku.voipio@linaro.org>2014-06-25 14:28:37 +0300
committerRiku Voipio <riku.voipio@linaro.org>2014-06-25 14:28:37 +0300
commitfb80a1410421dd88e6fdf76583f33def18eb0ec9 (patch)
treef4ee11cc95a4699d1c3577ecfed546b26ecbb82f /kvm-arndale-host
parentcf945f99753b6bbf3f60b3755b67dc70edf6f4ff (diff)
total rewrite
Diffstat (limited to 'kvm-arndale-host')
-rwxr-xr-xkvm-arndale-host50
1 files changed, 50 insertions, 0 deletions
diff --git a/kvm-arndale-host b/kvm-arndale-host
new file mode 100755
index 0000000..0a631b3
--- /dev/null
+++ b/kvm-arndale-host
@@ -0,0 +1,50 @@
+#!/bin/bash
+set -e
+LAVA_NAME=${BUILD_URL:-"linux-kvm-test"}
+
+rm -rf lci-build-tools builddir-* *gz *deb hwpack*
+git clone https://git.linaro.org/ci/lci-build-tools.git
+
+export MAKE_DTBS="true"
+export make_deb="true"
+export board_type='arndale'
+export hwpack_type='arndale'
+export kernel_flavour='arndale'
+export git_reset='no'
+
+# jenkins needs a different directory for build due to git juggling
+if [ ! -z ${WORKSPACE} ]
+then
+ export WORKSPACE=${WORKSPACE}/build
+fi
+./lci-build-tools/jenkins_kernel_build_inst
+
+#export ROOTFS_BUILD_URL="http://releases.linaro.org/14.05/ubuntu/trusty-images/developer/linaro-trusty-developer-20140522-661.tar.gz"
+export ROOTFS_BUILD_URL="http://people.linaro.org/~rikuvoipio/trusty.tgz"
+
+wget -nc --progress=dot -e dotbytes=2M ${ROOTFS_BUILD_URL} -O linaro-trusty-developer.tgz
+
+./linaro-image-tools/linaro-media-create --dev arndale --output-directory upload-dir-arndale --image-size 2500M --rootfs ext3 \
+ --binary linaro-trusty-developer.tgz --hwpack hwpack_linaro-arndale_*.tar.gz --hwpack-force
+
+mv upload-dir-arndale/sd.img arndale-sd.img
+gzip -9 arndale-sd.img
+
+cat <<EOF > post_build_lava_parameters_arndale
+HWPACK_JOB_NAME=linux-kvm-arm/hwpack=arndale
+HWPACK_BUILD_NUMBER=${BUILD_NUMBER}
+HWPACK_FILE_NAME=`ls hwpack_linaro-arndale*.tar.gz`
+DEVICE_TYPE=arndale
+IMAGE_URL=https://snapshots.linaro.org/ubuntu/images/linux-kvm/${BUILD_NUMBER}/arndale-sd.img.gz
+LAVA_TEST_PLAN=kvm
+GIT_REPO=git://git.linaro.org/qa/test-definitions.git
+BUNDLE_STREAM_NAME=/private/team/linaro/virtualization/
+EOF
+
+cat << EOF > BUILD-INFO.txt
+Format-Version: 0.1
+
+Files-Pattern: *
+License-Type: open
+EOF
+